/* multipanel.c -- Open Look panels
 * Author:  Kenneth Bibb
 * January 1992 -- Arastar Consulting
 *-----------------------------------
 * is there supposed to be white space around the panels?
 */

#include <stdlib.h>
#include <sys/param.h>
#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/canvas.h>
#include <xview/xv_xrect.h>
#include <xview/openmenu.h>
#include <xview/icon.h>
#include <xview/svrimage.h>

main(argc, argv)
int argc;
char **argv;
{
	Frame		frame;
	Canvas		canvas;
	Panel		panel;
	Panel		p2;

	xv_init(XV_INIT_ARGC_PTR_ARGV, &argc, argv, NULL);
	frame = (Frame)xv_create(NULL, FRAME,
		FRAME_LABEL,	argv[0],
		XV_X,		300,
		XV_Y,		175,
		XV_HEIGHT,	300,
		NULL);
	panel = (Panel)xv_create(frame, PANEL, NULL);
	(void)xv_create(panel, PANEL_BUTTON,
			PANEL_LABEL_STRING,	"Nada",
			NULL);
	window_fit_height(panel);

	canvas = (Canvas)xv_create(frame, CANVAS, 
		XV_WIDTH, WIN_EXTEND_TO_EDGE,
		XV_HEIGHT, 240,
		CANVAS_X_PAINT_WINDOW,	TRUE,
		NULL);
	p2 = (Panel)xv_create(frame, PANEL,
			XV_X,		0,
			NULL);
	(void)xv_create(p2, PANEL_MESSAGE,
			PANEL_LABEL_STRING, "Fake Panel Message",
			NULL);

	window_fit(frame);

	xv_main_loop(frame);
}

