#include <stdio.h>

/*
 *  Controls whether the we're running as the effective (flag == TRUE)
 *  or real (flag == FALSE) user ID.
 */
void
setprivs(flag)
int flag;
{
    static int euid = -1, uid;

    if (euid == -1) {
	euid = geteuid();
	uid = getuid();
    }

    if (euid == uid) return;
    if (flag)
	seteuid(euid);
    else
	seteuid(uid);
}
