/*
 * logwin.c - Notify and event callback function stubs.
 */

#include <stdio.h>
#include <sys/param.h>
#include <sys/types.h>
#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/textsw.h>
#include <xview/xv_xrect.h>
#include "logwin_ui.h"
#include "msgboard_xv.h"

logwin_frame_objects		*log_ip;

int
    log_window_created = FALSE;	/* is log window created?	*/

void
create_log_window()
{
    log_ip = logwin_frame_objects_initialize(NULL, base_frame);

    log_window_created = TRUE;
}

void
show_log_window()
{
    if (!log_window_created) create_log_window();

    xv_set(log_ip->frame, XV_SHOW, TRUE, NULL);
}
