;GIL-3
(
(
	:type                   :menu
	:name                   outs_add_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("After" "Before" )
	:menu-item-label-types  (:string :string )
	:menu-item-states       (:active :active )
	:menu-item-defaults     (nil nil )
	:initial-selections     (nil nil )
	:menu-item-handlers     (nil nil )
	:menu-item-menus        (nil nil )
	:menu-item-colors       ("" "" )
	:pinnable               nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :popup-window
	:name                   frame
	:owner                  nil
	:width                  431
	:height                 411
	:background-color       ""
	:foreground-color       ""
	:label                  "Message Board: Properties"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            nil
	:resizable              nil
	:pinned                 nil
	:done-handler           props_done_proc
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame)
		:when                   (Done )
		:to                     (frame)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (props_done_proc)
		)
	)
)
(
	:type                   :control-area
	:name                   cat_panel
	:owner                  frame
	:help                   "Properties

This is the Message Board's Properties window.  You may use it to examine and change settings pertaining to the board.
"
	:x                      0
	:y                      0
	:width                  431
	:height                 60
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   cat_item
	:owner                  cat_panel
	:help                   "Category:

Press MENU to display and choose from a menu of
types of properties for the Message Board:

  - General
  - Outs
  - Global
  
The Properties window will display options for 
each of these categories.

The General category contains miscellaneous options such as printer settings and individual program preferences.

The Outs category allows you to add, delete or change items available to you on the Outs menu.

The Global category is only available if you are in admin mode, and allows you to change parameters affecting all users of the program.

"
	:x                      16
	:y                      16
	:width                  154
	:height                 23
	:value-x                87
	:value-y                16
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Category:"
	:label-type             :string
	:notify-handler         props_cat_notify
	:event-handler          nil
	:choices                ("General" "Outs" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:choice-defaults        (nil nil )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (frame cat_item)
		:when                   (Notify )
		:to                     (frame cat_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (props_cat_notify)
		)
	)
)
(
	:type                   :control-area
	:name                   general_panel
	:owner                  frame
	:help                   "Properties

This is the Message Board's Properties.  You may use it to examine and change settings pertaining to the board.
"
	:x                      0
	:y                      60
	:width                  431
	:height                 299
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   intvl_item
	:owner                  general_panel
	:help                   "Check Interval:

The board is checked every so often for changes that others have made to it; this control sets the number of seconds between each check.  Valid settings are between 1 and 300 seconds (five minutes).
"
	:x                      16
	:y                      16
	:width                  181
	:height                 15
	:value-x                126
	:value-y                16
	:value-length           4
	:stored-length          4
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Check Interval:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              300
	:min-value              1
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   message1
	:owner                  general_panel
	:help                   ""
	:x                      208
	:y                      16
	:width                  48
	:height                 13
	:foreground-color       ""
	:label                  "seconds"
	:label-type             :string
	:label-bold             nil
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   server_item
	:owner                  general_panel
	:help                   "Server Host:

Give the name of the system whose message board you want to browse.  Note that usually you will only have limited (or no) access to boards not at your site.

If you made changes on the property sheet that are processed on the server (such as site name or message of the day), these changes will be applied to the server you were connected to when the property sheet was brought up, not the new server.
"
	:x                      36
	:y                      40
	:width                  330
	:height                 15
	:value-x                126
	:value-y                40
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Server Host:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   prt_type_item
	:owner                  general_panel
	:help                   "Printer Type:

Specify whether you want printed output to be in PostScript or plain text format."
	:x                      30
	:y                      64
	:width                  221
	:height                 23
	:value-x                126
	:value-y                64
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Printer Type:"
	:label-type             :string
	:notify-handler         props_prt_settings_notify
	:event-handler          nil
	:choices                ("PostScript" "ASCII" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (frame prt_type_item)
		:when                   (Notify )
		:to                     (frame prt_type_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (props_prt_settings_notify)
		)
	)
)
(
	:type                   :setting
	:name                   prt_dest_item
	:owner                  general_panel
	:help                   "Print To:

Controls whether the Scan Message window's Print function sends its output directly to a printer or to a text file.  Be sure to specify the destination printer or file below.

"
	:x                      61
	:y                      92
	:width                  161
	:height                 23
	:value-x                126
	:value-y                92
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Print To:"
	:label-type             :string
	:notify-handler         props_prt_settings_notify
	:event-handler          nil
	:choices                ("Printer" "File" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (frame prt_dest_item)
		:when                   (Notify )
		:to                     (frame prt_dest_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (props_prt_settings_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   prt_dir_item
	:owner                  general_panel
	:help                   "Print to Directory/Printer:

If you have specified output to a printer, give the name of the printer you want to send to here.

If you have specified output to a file, give the name of the directory the file is located in here; also put the name of the file in the field below."
	:x                      52
	:y                      120
	:width                  274
	:height                 15
	:value-x                126
	:value-y                120
	:value-length           25
	:stored-length          1024
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Directory:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   prt_file_item
	:owner                  general_panel
	:help                   "Print to File:

Give the name of the file you want printed output to be directed to here."
	:x                      90
	:y                      144
	:width                  236
	:height                 15
	:value-x                126
	:value-y                144
	:value-length           25
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "File:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   dragstyle_item
	:owner                  general_panel
	:help                   "DnD Version

Open Windows Version 2 and Version 3 use two different, incompatibile types of \"Drag and Drop\" operations.  Use this setting to specify what version of drag and drop the application you are dragging *to* supports."
	:x                      25
	:y                      176
	:width                  149
	:height                 23
	:value-x                126
	:value-y                176
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "DnD  Version:"
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("2" "3" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   pop_mod_item
	:owner                  general_panel
	:help                   "Pop Up Modify Window

If this box is checked, the \"Modify Entry\" window will automatically pop up whenever you move a person from \"In\" to \"Out\" .
"
	:x                      16
	:y                      216
	:width                  316
	:height                 23
	:value-x                16
	:value-y                216
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Pop up modify window when  \"Out\" is chosen" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   fmt_item
	:owner                  general_panel
	:help                   "Format Messages

If selected, phone messages will be automatically formatted before they are sent."
	:x                      16
	:y                      240
	:width                  282
	:height                 23
	:value-x                16
	:value-y                240
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Automatically format outgoing messages" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   admin_item
	:owner                  general_panel
	:help                   "Enable Admin Mode

Controls whether admin features are currently enabled for you.  You can use this box to turn off admin features until you need them."
	:x                      16
	:y                      264
	:width                  156
	:height                 23
	:value-x                16
	:value-y                264
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Enable admin mode" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   outs_panel
	:owner                  frame
	:help                   "Properties

This is the Message Board's Properties.  You may use it to examine and change settings pertaining to the board.
"
	:x                      0
	:y                      60
	:width                  431
	:height                 299
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :scrolling-list
	:name                   outs_list
	:owner                  outs_panel
	:help                   "Outs List

Provides a way for you to add your own items to the \"Outs\" menu.

To add an item, enter a label as you want it to appear on the menu; then, fill in the values of the Until and Comment fields as you would like them to appear when you select this item from the Outs menu.  Check the \"Pop up Modify...\" box if you want a window to pop up every time this item is selected from the Outs menu.  Finally, click on the Add button to add this new item to the list.

You may also select an item from the list by clicking on it, then delete it by clicking on the Delete button or change it by modifying any of its values and then clicking on the Change button.

Be sure to click on Apply after you've made all your changes to the list.

See the spot help for the Until line for special character sequences you may enter there."
	:x                      16
	:y                      16
	:width                  200
	:height                 110
	:value-x                90
	:value-y                16
	:rows                   5
	:foreground-color       ""
	:label                  "Outs List:"
	:title                  ""
	:label-type             :string
	:layout-type            :horizontal
	:read-only              t
	:multiple-selections    nil
	:selection-required     nil
	:initial-state          :active
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:notify-handler         outs_list_notify
	:event-handler          nil
	:initial-list-values    ()
	:initial-list-glyphs    ()
	:initial-selections     ()
	:user-data              ()
	:actions                (
		(
		:from                   (frame outs_list)
		:when                   (Notify )
		:to                     (frame outs_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (outs_list_notify)
		)
	)
)
(
	:type                   :button
	:name                   outs_add_item
	:owner                  outs_panel
	:help                   "Add

Once you have filled in the Label, Until and Comment fields, and set the \"Pop Up\" check box, click SELECT on this button to add a new entry to the Outs menu list.  Use the MENU button to choose whether the new item will be added after or before the currently selected item on the list.  (If no item is selected, \"Before\" means before the first entry on the list and \"After\" means after the last entry.)
"
	:x                      324
	:y                      24
	:width                  56
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Add"
	:label-type             :string
	:initial-state          :active
	:menu                   outs_add_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   outs_delete_item
	:owner                  outs_panel
	:help                   "Delete

Select an item on the list, then click on the Delete button to remove it from the list.
"
	:x                      324
	:y                      56
	:width                  57
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Delete"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         outs_delete_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame outs_delete_item)
		:when                   (Notify )
		:to                     (frame outs_delete_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (outs_delete_notify)
		)
	)
)
(
	:type                   :button
	:name                   outs_change_item
	:owner                  outs_panel
	:help                   "Change

Once you have selected an item on the list and modified any of its parameters, use the Change button to make the modifications take effect.

(Don't forget to click on Apply when you're done
with all your changes)
"
	:x                      320
	:y                      88
	:width                  64
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Change"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         outs_change_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame outs_change_item)
		:when                   (Notify )
		:to                     (frame outs_change_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (outs_change_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   outs_label_item
	:owner                  outs_panel
	:help                   "Label

Enter the text that you want to appear on the Outs menu for this item."
	:x                      41
	:y                      144
	:width                  209
	:height                 15
	:value-x                90
	:value-y                144
	:value-length           20
	:stored-length          20
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Label:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         props_outs_label_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame outs_label_item)
		:when                   (Notify )
		:to                     (frame outs_label_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (props_outs_label_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   outs_until_item
	:owner                  outs_panel
	:help                   "Until:

The text you enter here will be used to fill in the \"until\" part of your status line when this menu item is selected.

You may use a couple of \"magic\" strings in this field:

A \"+\" followed by a number will be replaced by the current time plus that number of hours when the menu item is selected; you may optionally add a colon and another number for minutes.  This number will be rounded up to the nearest ten minute interval.  For example, if you select a menu item with \"+1:30\" in the Until field at 9:15 AM, you will be marked Out until 10:50 AM.

The string %N will be replaced by the next working day.  For example, on a Friday, %N would be replaced by \"Mon\" ."
	:x                      45
	:y                      168
	:width                  205
	:height                 15
	:value-x                90
	:value-y                168
	:value-length           20
	:stored-length          20
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Until:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   outs_msg_item
	:owner                  outs_panel
	:help                   "Comment

Enter the text that you would like to appear on your Comment line whenever this item is selected from the Outs menu."
	:x                      19
	:y                      192
	:width                  391
	:height                 15
	:value-x                90
	:value-y                192
	:value-length           40
	:stored-length          40
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Message:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   outs_pop_item
	:owner                  outs_panel
	:help                   "Pop up Modify Window When Chosen

This check box allows you to choose whether this item will automatically pop up a window when it is chosen from the Outs menu.

The idea here is that you may create an Outs menu item that only fills in the time, or the comment, or needs to be modified in some other way.  The
window that pops up will allow you to fill in the missing bits of information at the time you're checking out."
	:x                      90
	:y                      216
	:width                  264
	:height                 23
	:value-x                90
	:value-y                216
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Pop Up Modify Window When Chosen" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   global_panel
	:owner                  frame
	:help                   "Properties

This is the Message Board's Properties.  You may use it to examine and change settings pertaining to the board.
"
	:x                      0
	:y                      60
	:width                  431
	:height                 299
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   site_item
	:owner                  global_panel
	:help                   "Site Name:

This is the site name which will appear in the title bar of the window."
	:x                      20
	:y                      24
	:width                  400
	:height                 15
	:value-x                100
	:value-y                24
	:value-length           40
	:stored-length          40
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Site Name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   motd_item
	:owner                  global_panel
	:help                   "Message:

This is the message that appears directly above the board list; it's intended to be someplace a \"message of the day\" can be put for all of your workgroup to read, such as a meeting reminder or something similar.
"
	:x                      29
	:y                      48
	:width                  391
	:height                 15
	:value-x                100
	:value-y                48
	:value-length           40
	:stored-length          70
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Message:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   fname_fmt_item
	:owner                  global_panel
	:help                   "Full Name Format:

Affects how the default value for \"Full Name\" will be formatted when a new user is being created.  Be advised that if \"Last, First\" is chosen, it's more likely that an incorrect default value will be created than if \"First Last\" is chosen.

No matter what this is set to, the program assumes that the name found in the system password file is in \"First Last\" format with some sort of punctuation between the actual name and any other information following it; amusing default values will probably occur if this is not the case."
	:x                      24
	:y                      88
	:width                  292
	:height                 23
	:value-x                155
	:value-y                88
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Full Name Format:"
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("\"Jane Doe\"" "\"Doe, Jane\"" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   flags_item
	:owner                  global_panel
	:help                   "Enable \"modify .plan\"

This box controls the default value of the \"Modify .plan file\" box on the Add Entry window.  If it is checked, users will have their .plan file automatically updated with their current In/Out status, unless they turn it off for themselves.
"
	:x                      16
	:y                      119
	:width                  393
	:height                 110
	:value-x                155
	:value-y                119
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  "New User Defaults:"
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Modify .plan file" "Leave comment intact when \"In\"" "Send phone messages via e-mail" "Send phone messages via msgboard" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   pgr_type_item
	:owner                  global_panel
	:help                   ""
	:x                      13
	:y                      237
	:width                  297
	:height                 23
	:value-x                155
	:value-y                237
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Default Pager Type:"
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Alpha" "Numeric" "Sky" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   apply_panel
	:owner                  frame
	:help                   "Properties

This is the Message Board's Properties window.  You may use it to examine and change settings pertaining to the board.
"
	:x                      0
	:y                      359
	:width                  431
	:height                 52
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   apply_item
	:owner                  apply_panel
	:help                   "Apply

Press this to make any changes you have made to the program's properties take effect.  The current position and status of all pop-up windows will also be saved."
	:x                      148
	:y                      16
	:width                  53
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         props_apply_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame apply_item)
		:when                   (Notify )
		:to                     (frame apply_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (props_apply_notify)
		)
	)
)
(
	:type                   :button
	:name                   reset_item
	:owner                  apply_panel
	:help                   "Reset

Restores the property sheet values to what they were before you made changes, up to the last time you pressed \"Apply.\"  If the pushpin is out, the window will be dismissed."
	:x                      220
	:y                      16
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         props_reset_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame reset_item)
		:when                   (Notify )
		:to                     (frame reset_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (props_reset_notify)
		)
	)
)
(
	:type                   :stack
	:name                   layered_pane1
	:owner                  frame
	:members                (outs_panel general_panel global_panel )
	:user-data              ()
)
)
