;GIL-3
(
(
	:type                   :menu
	:name                   move_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "Move"
	:menu-item-labels       ("to Next Category" "to New" "to Pending" "to Complete" "to Trash" "" "Copy to Clipboard" "Copy to File..." )
	:menu-item-label-types  (:string :string :string :string :string :string :string :string )
	:menu-item-states       (:active :active :active :active :active :active :active :active )
	:menu-item-defaults     (nil nil nil nil nil nil nil nil )
	:initial-selections     (nil nil nil nil nil nil nil nil )
	:menu-item-handlers     (sc_to_next_handler sc_to_new_handler sc_to_pending_handler sc_to_complete_handler sc_to_trash_handler nil sc_to_clip_handler sc_to_file_handler )
	:menu-item-menus        (nil nil nil nil nil nil nil nil )
	:menu-item-colors       ("" "" "" "" "" "" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (move_menu "to Next Category")
		:when                   (Notify )
		:to                     (move_menu "to Next Category")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_to_next_handler)
		)
		(
		:from                   (move_menu "to New")
		:when                   (Notify )
		:to                     (move_menu "to New")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_to_new_handler)
		)
		(
		:from                   (move_menu "to Pending")
		:when                   (Notify )
		:to                     (move_menu "to Pending")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_to_pending_handler)
		)
		(
		:from                   (move_menu "to Complete")
		:when                   (Notify )
		:to                     (move_menu "to Complete")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_to_complete_handler)
		)
		(
		:from                   (move_menu "to Trash")
		:when                   (Notify )
		:to                     (move_menu "to Trash")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_to_trash_handler)
		)
		(
		:from                   (move_menu "Copy to Clipboard")
		:when                   (Notify )
		:to                     (move_menu "Copy to Clipboard")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_to_clip_handler)
		)
		(
		:from                   (move_menu "Copy to File...")
		:when                   (Notify )
		:to                     (move_menu "Copy to File...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_to_file_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   frame
	:owner                  nil
	:width                  532
	:height                 320
	:background-color       ""
	:foreground-color       ""
	:label                  "Message Board: Scan Phone Messages"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           scanwin_done
	:event-handler          sc_frame_event
	:user-data              ()
	:actions                (
		(
		:from                   (frame)
		:when                   (Done )
		:to                     (frame)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (scanwin_done)
		)
		(
		:from                   (frame)
		:when                   (AnyEvent )
		:to                     (frame)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_frame_event)
		)
	)
)
(
	:type                   :control-area
	:name                   panel
	:owner                  frame
	:help                   "Scan Phone Messages

Use this window to view phone messages that have been sent to a person on the board.

If you have admin capabilities, you may change which person you're scanning messages for at any time, by either clicking on their name on the board and pressing the \"Scan Messages\" button, or by entering their name in the \"User:\" field on the Scan Messages window.
"
	:x                      0
	:y                      0
	:width                  532
	:height                 320
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   show_item
	:owner                  panel
	:help                   "Show

When a message is selected, pressing this button displays the message's text in the bottom window.

If more than one message is selected, pressing the Show button the first time displays the first selected message; each successive press of the Show button will display the next selected message in the list.

The button is dimmed if no messages on the list are chosen.
"
	:x                      16
	:y                      8
	:width                  60
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Show..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         sc_show_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame show_item)
		:when                   (Notify )
		:to                     (frame show_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_show_notify)
		)
	)
)
(
	:type                   :button
	:name                   move_item
	:owner                  panel
	:help                   "Move

Moves the selected message from one category to another.  The original default action of the button is to move the messages to the next category; that is, from New to Pending, Pending to Complete, or Complete to Trash.

You may use this button's menu to pick another category to move the messages to.  You can also copy the selected messages to either the clipboard (making them available to paste into another application), or to a text file.

The button is dimmed if no messages on the list are chosen.
"
	:x                      80
	:y                      8
	:width                  64
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Move"
	:label-type             :string
	:initial-state          :active
	:menu                   move_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   print_item
	:owner                  panel
	:help                   "Print

Press this button to print the selected messages.  Use the program's Properties window to select which printer (or file) the messages should be sent to.

The button is dimmed if no messages on the list are chosen."
	:x                      152
	:y                      8
	:width                  48
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Print"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         sc_print_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame print_item)
		:when                   (Notify )
		:to                     (frame print_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_print_notify)
		)
	)
)
(
	:type                   :button
	:name                   find_item
	:owner                  panel
	:help                   "Find...

This button brings up the \"Find\" window, allowing you to search for messages containing a specified text string.

The button is dimmed if no there are no messages in the selected category."
	:x                      208
	:y                      8
	:width                  54
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Find..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         sc_find_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame find_item)
		:when                   (Notify )
		:to                     (frame find_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_find_notify)
		)
	)
)
(
	:type                   :message
	:name                   torolo_item
	:owner                  panel
	:help                   "Drag and Drop to Rolotool

Drag this glyph to another program (rolotool or textedit, for example) to copy the selected messages to it.

The glyph is dimmed if no messages on the list are currently selected."
	:x                      288
	:y                      8
	:width                  32
	:height                 32
	:foreground-color       ""
	:label                  "torolo.icon"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          sc_torolo_event
	:user-data              ()
	:actions                (
		(
		:from                   (frame torolo_item)
		:when                   (AnyEvent )
		:to                     (frame torolo_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_torolo_event)
		)
	)
)
(
	:type                   :drop-target
	:name                   drop_target1
	:owner                  panel
	:help                   "Drag Target

When one or more messages are selected, you may drag from this target and drop onto any Open Windows V3 application that will accept text dropped onto it.
"
	:x                      504
	:y                      16
	:width                  18
	:height                 16
	:drop-target_width      12
	:default-drop-site      nil
	:draggable              t
	:droppable              nil
	:label                  ""
	:label-type             :string
	:normal-drop-glyph      ""
	:busy-drop-glyph        ""
	:dnd-cursor             ""
	:dnd-cursor-xhot        0
	:dnd-cursor-yhot        0
	:dnd-accept-cursor      ""
	:dnd-accept-cursor-xhot 0
	:dnd-accept-cursor-yhot 0
	:foreground-color       ""
	:initial-state          :active
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   user_item
	:owner                  panel
	:help                   "User:

Enter the login ID of the person whose messages you wish to scan, then press Return; their full name will appear to the right.  If \"???\" appears, you have entered an ID not currently on the board.

This field is read-only unless you have admin capabilities."
	:x                      16
	:y                      40
	:width                  107
	:height                 15
	:value-x                59
	:value-y                40
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "User:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         sc_user_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame user_item)
		:when                   (Notify )
		:to                     (frame user_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_user_notify)
		)
	)
)
(
	:type                   :message
	:name                   fname_item
	:owner                  panel
	:help                   "User:

The full name of the person whose messages you are scanning appears here.  If \"???\" appears, the Message Board does not recognize the name you have entered in the \"User:\" field.
"
	:x                      132
	:y                      40
	:width                  8
	:height                 13
	:foreground-color       ""
	:label                  "()"
	:label-type             :string
	:label-bold             nil
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   choice_item
	:owner                  panel
	:help                   "Msg Category:

Selects which messages to scan for this person.

New: messages that have not been seen yet.

Pending: messages you have seen but are not finished with.

Complete: messages you are finished with but want to save.

Trash: messages you are completely finished with; these will be deleted after a period of time.

This item is dimmed if you are not allowed to view the currently selected person's non-new messages.
"
	:x                      16
	:y                      68
	:width                  337
	:height                 23
	:value-x                119
	:value-y                68
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Msg Category:"
	:label-type             :string
	:notify-handler         sc_choice_notify
	:event-handler          nil
	:choices                ("New" "Pending" "Complete" "Trash" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("" "" "" "" )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (frame choice_item)
		:when                   (Notify )
		:to                     (frame choice_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_choice_notify)
		)
	)
)
(
	:type                   :button
	:name                   clear_all_item
	:owner                  panel
	:help                   "Clear All

Use this button to deselect all the choices currently made on the list.  Note that this does not delete the select items, it just \"unmarks\" them.

You can use the \"Select All\" button to choose all the messages on the list; both the \"Clear All\" and \"Select All\" functions also appear on the list's menu.

This button is dimmed if no messages are currently chosen."
	:x                      16
	:y                      104
	:width                  70
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Clear All"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         sc_clear_all_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame clear_all_item)
		:when                   (Notify )
		:to                     (frame clear_all_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_clear_all_notify)
		)
	)
)
(
	:type                   :button
	:name                   select_all_item
	:owner                  panel
	:help                   "Select All

Use this button to choose all the messages shown on the list.

You can use the \"Clear All\" button to clear all choices; both the \"Clear All\" and \"Select All\" functions also appear on the list's menu.

The button is dimmed if all the messages on the list are currently selected."
	:x                      96
	:y                      104
	:width                  74
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Select All"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         sc_select_all_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame select_all_item)
		:when                   (Notify )
		:to                     (frame select_all_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_select_all_notify)
		)
	)
)
(
	:type                   :scrolling-list
	:name                   list_item
	:owner                  panel
	:help                   "Message Summary List

A brief summary of each message for the selected person and category appears here.  You may select one or more of these messages, then use the Show, Move or Print buttons to act on the messages you have selected.

As a convenience, all messages are selected when the \"New\" category is displayed.  Use the Select All button to select the entire list of messages at any other time.  Use the list's menu to clear all selections."
	:x                      8
	:y                      132
	:width                  492
	:height                 182
	:value-x                8
	:value-y                132
	:rows                   9
	:foreground-color       ""
	:label                  ""
	:title                  ""
	:label-type             :string
	:layout-type            :horizontal
	:read-only              t
	:multiple-selections    t
	:selection-required     nil
	:initial-state          :active
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:notify-handler         sc_list_notify
	:event-handler          nil
	:initial-list-values    ()
	:initial-list-glyphs    ()
	:initial-selections     ()
	:user-data              ()
	:actions                (
		(
		:from                   (frame list_item)
		:when                   (Notify )
		:to                     (frame list_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sc_list_notify)
		)
	)
)
(
	:type                   :popup-window
	:name                   find_frame
	:owner                  nil
	:width                  360
	:height                 99
	:background-color       ""
	:foreground-color       ""
	:label                  "Message Board: Find Phone Messages"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            nil
	:resizable              nil
	:pinned                 nil
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   find_panel
	:owner                  find_frame
	:help                   "Find Phone Messages

Use this panel to search for phone messages containing a particular string."
	:x                      0
	:y                      0
	:width                  360
	:height                 99
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   find_text_item
	:owner                  find_panel
	:help                   "Search For

Enter a text string that you wish to search for in the current category's messages.  Case is ignored."
	:x                      16
	:y                      24
	:width                  322
	:height                 15
	:value-x                98
	:value-y                24
	:value-length           30
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Search For:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         find_text_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (find_frame find_text_item)
		:when                   (Notify )
		:to                     (find_frame find_text_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (find_text_notify)
		)
	)
)
(
	:type                   :button
	:name                   find_fwd_item
	:owner                  find_panel
	:help                   "Find Forward

Pressing this button searches forward from the current message for the next message containing the specified string."
	:x                      32
	:y                      64
	:width                  99
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Find Forward"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         find_fwd_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (find_frame find_fwd_item)
		:when                   (Notify )
		:to                     (find_frame find_fwd_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (find_fwd_notify)
		)
	)
)
(
	:type                   :button
	:name                   find_bkw_item
	:owner                  find_panel
	:help                   "Find Backward

Pressing this button searches backward from the current message for the next message containing the specified string."
	:x                      139
	:y                      64
	:width                  107
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Find Backward"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         find_bkw_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (find_frame find_bkw_item)
		:when                   (Notify )
		:to                     (find_frame find_bkw_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (find_bkw_notify)
		)
	)
)
(
	:type                   :button
	:name                   find_all_item
	:owner                  find_panel
	:help                   "Select All

Pressing this button selects all messages containing the specified string."
	:x                      254
	:y                      64
	:width                  74
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Select All"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         find_all_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (find_frame find_all_item)
		:when                   (Notify )
		:to                     (find_frame find_all_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (find_all_notify)
		)
	)
)
(
	:type                   :popup-window
	:name                   copy_frame
	:owner                  nil
	:width                  493
	:height                 102
	:background-color       ""
	:foreground-color       ""
	:label                  "Message Board: Copy Messages to File"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            nil
	:resizable              nil
	:pinned                 nil
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   copy_panel
	:owner                  copy_frame
	:help                   "Copy to File

Use this pop-up window to specify the name of a
file you wish to copy the currently selected
messages to.
"
	:x                      0
	:y                      0
	:width                  493
	:height                 102
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   copy_dir_item
	:owner                  copy_panel
	:help                   "Directory

Enter the name of the directory containing the file you wish to copy messages to."
	:x                      16
	:y                      16
	:width                  466
	:height                 15
	:value-x                90
	:value-y                16
	:value-length           49
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Directory:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   copy_file_item
	:owner                  copy_panel
	:help                   "File

Enter then name of the file you wish to copy the currently selected messages to."
	:x                      54
	:y                      40
	:width                  428
	:height                 15
	:value-x                90
	:value-y                40
	:value-length           49
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "File:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         copy_file_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (copy_frame copy_file_item)
		:when                   (Notify )
		:to                     (copy_frame copy_file_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (copy_file_notify)
		)
	)
)
(
	:type                   :button
	:name                   copy_copy_item
	:owner                  copy_panel
	:help                   "Copy

Copies the currently selected messages to the file specified above."
	:x                      224
	:y                      72
	:width                  49
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Copy"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         copy_copy_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (copy_frame copy_copy_item)
		:when                   (Notify )
		:to                     (copy_frame copy_copy_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (copy_copy_notify)
		)
	)
)
)
