;GIL-3
(
(
	:type                   :popup-window
	:name                   frame
	:owner                  nil
	:width                  536
	:height                 333
	:background-color       ""
	:foreground-color       ""
	:label                  "Message Board: Send Phone Message"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            nil
	:resizable              t
	:pinned                 nil
	:done-handler           nil
	:event-handler          sm_frame_event
	:user-data              ()
	:actions                (
		(
		:from                   (frame)
		:when                   (AnyEvent )
		:to                     (frame)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sm_frame_event)
		)
	)
)
(
	:type                   :control-area
	:name                   panel
	:owner                  frame
	:help                   "Send Window

Use this window to send phone messages.  Select a name from the main list, press the \"Send Pmsg\" button, fill in the blanks on this form, then press \"Send\" to send it."
	:x                      0
	:y                      0
	:width                  536
	:height                 225
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   to_item
	:owner                  panel
	:help                   "To:

Enter the login ID of the person to receive this phone message.

Typically you will not enter this \"by hand\" as it will appear automatically if you select an entry from the main list and press the \"Send Pmsg\" button.  Note that you can just leave this window pinned, and continuously select entries and press \"Send Pmsg.\""
	:x                      87
	:y                      8
	:width                  92
	:height                 15
	:value-x                115
	:value-y                8
	:value-length           8
	:stored-length          64
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "To:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         sm_to_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame to_item)
		:when                   (Notify )
		:to                     (frame to_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sm_to_notify)
		)
	)
)
(
	:type                   :message
	:name                   fname_item
	:owner                  panel
	:help                   "To:

This is the full name of the addressee you have specified.  If the program could not find the full name, \"(???)\" will be displayed -- you should then double-check to make sure you've given the correct address!"
	:x                      204
	:y                      8
	:width                  8
	:height                 13
	:foreground-color       ""
	:label                  "()"
	:label-type             :string
	:label-bold             nil
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   time_item
	:owner                  panel
	:help                   "Time:

Enter the date and time the phone message was taken.

A default date and time will appear when you press the \"Send Pmsgs\" button (or the \"Reset\" button, if the window is pinned), but you can and should enter the proper date and time if the message was actually taken earlier."
	:x                      69
	:y                      32
	:width                  174
	:height                 15
	:value-x                115
	:value-y                32
	:value-length           16
	:stored-length          16
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Time:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   caller_item
	:owner                  panel
	:help                   "Caller:

Enter the name of the person who called."
	:x                      63
	:y                      56
	:width                  452
	:height                 15
	:value-x                115
	:value-y                56
	:value-length           50
	:stored-length          50
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Caller:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   org_item
	:owner                  panel
	:help                   "Organization:

Enter the company or other organization of the person who called."
	:x                      15
	:y                      80
	:width                  500
	:height                 15
	:value-x                115
	:value-y                80
	:value-length           50
	:stored-length          50
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Organization:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   phnum_item
	:owner                  panel
	:help                   "Phone Number:

Enter the phone number of the person who called."
	:x                      3
	:y                      104
	:width                  512
	:height                 15
	:value-x                115
	:value-y                104
	:value-length           50
	:stored-length          50
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Phone Number:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         sm_phnum_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame phnum_item)
		:when                   (Notify )
		:to                     (frame phnum_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sm_phnum_notify)
		)
	)
)
(
	:type                   :setting
	:name                   choice_item
	:owner                  panel
	:help                   "Message Choices

Select one or more of the comments appropriate for this message.  If you select \"Left Following Message:\", the text window below will become active and you may type in the message the caller left.

Selecting \"No Message\" automatically clears all other choices."
	:x                      107
	:y                      128
	:width                  331
	:height                 81
	:value-x                107
	:value-y                128
	:rows                   0
	:columns                2
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :nonexclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         sm_choice_notify
	:event-handler          nil
	:choices                ("No Message" "Returned Your Call" "Please Call" "Will Call Again" "Left Following Message:" )
	:choice-label-types     (:string :string :string :string :string )
	:choice-colors          ("" "" "" "" "" )
	:initial-selections     (nil nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (frame choice_item)
		:when                   (Notify )
		:to                     (frame choice_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sm_choice_notify)
		)
	)
)
(
	:type                   :text-pane
	:name                   textsw
	:owner                  frame
	:help                   "Message Text Subwindow

Use this window to enter any additional message; this window only becomes active if you choose \"Left Following Message:\" above.

Note that if any other choice is selected besides \"Left Following Message:\" when you press the Send button, any text that you have typed in this window will *not* be sent."
	:x                      0
	:y                      225
	:width                  536
	:height                 60
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:read-only              t
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   bot_panel
	:owner                  frame
	:help                   "Send Window

Use this window to send phone messages.  Select a name from the main list, press the \"Send Pmsg\" button, fill in the blanks on this form, then press \"Send\" to send it."
	:x                      0
	:y                      285
	:width                  536
	:height                 48
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   fmt_item
	:owner                  bot_panel
	:help                   "Format Text

Pressing this button will cause all of the text in the window to be appropriately formatted for viewing in a standard terminal window.

Alternatively, you can check the \"Format Messages Automatically\" box on the Properties Sheet, and the text will be formatted automatically before it is sent.  This button will only appear when that box is *not* checked."
	:x                      8
	:y                      4
	:width                  92
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Format Text"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         sm_fmt_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame fmt_item)
		:when                   (Notify )
		:to                     (frame fmt_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sm_fmt_notify)
		)
	)
)
(
	:type                   :button
	:name                   send_item
	:owner                  bot_panel
	:help                   "Send

When you have entered all the information for this phone message, click this button to send it."
	:x                      212
	:y                      16
	:width                  48
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Send"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         sm_send_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame send_item)
		:when                   (Notify )
		:to                     (frame send_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sm_send_notify)
		)
	)
)
(
	:type                   :button
	:name                   reset_item
	:owner                  bot_panel
	:help                   "Reset

Press this button to start the message over again; if the pushpin is out, the window will be dismissed."
	:x                      276
	:y                      16
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         sm_reset_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame reset_item)
		:when                   (Notify )
		:to                     (frame reset_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (sm_reset_notify)
		)
	)
)
)
