#include <sys/param.h>
#include <string.h>
#include <xview/xview.h>
/* #include <xview/panel.h> */
#include <X11/Xutil.h>
#include "msgboard_xv.h"

set_hints(frame, progname)
Frame frame;
char *progname;
{
    Window xid;
    XSizeHints *hints;
    XClassHint c_hint;
    XTextProperty text;
    char buf[MAXHOSTNAMELEN + 1], *list = buf, *p;

    xid = (Window)xv_get(frame, XV_XID);
    hints = XAllocSizeHints();

	/* This particular window doesn't allow resizing */
    hints->flags = PMinSize | PMaxSize;
    hints->min_height = hints->max_height = (int)xv_get(frame, XV_HEIGHT);
    hints->min_width = hints->max_width = (int)xv_get(frame, XV_WIDTH);
    XSetWMNormalHints(dpy, xid, hints);
    XFree(hints);

    p = strrchr(progname, '/') + 1;
    if ( p == (char *)1 ) p = progname;
    c_hint.res_name = p;
    c_hint.res_class = CLASS_NAME;
    XSetClassHint(dpy, xid, &c_hint);

    (void)gethostname(buf, sizeof buf);
    (void)XStringListToTextProperty(&list, 1, &text);
    XSetWMClientMachine(dpy, xid, &text);
}
