

#ifndef snafu_DEFINED
#define snafu_DEFINED

#include <xview/xview.h>

extern Xv_pkg	snafu_pkg;
#define SNAFU	&snafu_pkg

typedef Xv_opaque Snafu;

#define ATTR_PKG_SNAFU	ATTR_PKG_UNUSED_FIRST + 6
#define SNAFU_ATTR(type, ordinal)	ATTR(ATTR_PKG_SNAFU, type, ordinal)



typedef enum {
    SNAFU_TYPE 		= SNAFU_ATTR(ATTR_ENUM,		1),
    SNAFU_NAME 		= SNAFU_ATTR(ATTR_STRING,	2),
    SNAFU_SEVERITY 	= SNAFU_ATTR(ATTR_INT,		3),
    SNAFU_APPLY_PROC	= SNAFU_ATTR(ATTR_FUNCTION_PTR,	4),
} Snafu_attr;

typedef enum {
    SNAFU_NUCLEAR,
    SNAFU_CHEMICAL,
    SNAFU_BIOLOGICAL,
} Snafu_type;


typedef struct {
    Xv_generic_struct	parent_data;
    Xv_opaque		private_data;
} Snafu_public;



#endif	/* ~snafu_DEFINED */
