/* template_data.c
 * Author: Rick Goldstein
 */

/*
 * Template package information
 */

#include <xview/xview.h>
#include "template_impl.h"

extern int 		template_init();
extern Xv_opaque	template_set();
extern Xv_opaque	template_get();
extern int 		template_destroy();

Xv_pkg template_pkg = {
    "Templateate",
    ATTR_PKG_TEMPLATE,
    sizeof(Template_public),
    XV_GENERIC_OBJECT,		/* Note:  modify for new subclass */
    template_init,
    template_set,
    template_get,
    template_destroy,
    NULL                     /* no find */
};
