/* multi.c -- demonstration of a multiline text field
 * Author:  Kenneth Bibb
 */

#include <xview/xview.h>
#include <xview/panel.h>
#include <xview/canvas.h>

main(argc, argv)
int argc;
char **argv;
{
	Frame		frame;
	Panel		panel;

	xv_init(XV_INIT_ARGC_PTR_ARGV, &argc, argv, NULL);

	/* create the base frame */
	frame = (Frame)xv_create(NULL, FRAME,
		FRAME_LABEL,		argv[0],
		FRAME_SHOW_FOOTER,	TRUE,
		XV_X,			300,
		XV_Y,			175,
		NULL);

	/* create the panel */
	panel = (Panel)xv_create(frame, PANEL, NULL);
	(void)xv_create(panel, PANEL_MULTILINE_TEXT,
		PANEL_LABEL_STRING,	"Description:",
		PANEL_DISPLAY_ROWS,	3,
		PANEL_VALUE_DISPLAY_LENGTH, 20,
		PANEL_VALUE,		"This is an example of \
a multiline text item which has three lines and a width of 20 characters ",
		NULL);
	window_fit(panel);
	window_fit(frame);

	xv_main_loop(frame);
}

