;GIL-3
(
(
	:type                   :menu
	:name                   shell_menu
	:help                   ""
	:columns                1
	:menu-type              :exclusive
	:menu-handler           shell_menu_notify
	:menu-title             "Shells"
	:menu-item-labels       ("/bin/csh" "/bin/sh" )
	:menu-item-label-types  (:string :string )
	:menu-item-states       (:active :active )
	:menu-item-defaults     (nil nil )
	:initial-selections     (nil nil )
	:menu-item-handlers     (nil nil )
	:menu-item-menus        (nil nil )
	:menu-item-colors       ("" "" )
	:pinnable               t
	:user-data              ()
	:actions                (
		(
		:from                   (shell_menu)
		:when                   (Notify )
		:to                     (shell_menu)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (shell_menu_notify)
		)
	)
)
(
	:type                   :menu
	:name                   logid_rule_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "Login ID Rules"
	:menu-item-labels       ("Jane Doe -> jdoe" "Jane Doe -> jane" "Jane Doe -> janed" "Jane Doe -> doej" "Jane Doe -> doe" )
	:menu-item-label-types  (:string :string :string :string :string )
	:menu-item-states       (:active :active :active :active :active )
	:menu-item-defaults     (nil nil nil nil nil )
	:initial-selections     (nil nil nil nil nil )
	:menu-item-handlers     (nil nil nil nil nil )
	:menu-item-menus        (nil nil nil nil nil )
	:menu-item-colors       ("" "" "" "" "" )
	:pinnable               t
	:user-data              ()
	:actions                ()
)
(
	:type                   :base-window
	:name                   window1
	:owner                  nil
	:width                  371
	:height                 274
	:background-color       ""
	:foreground-color       ""
	:label                  "Add User"
	:label-type             :string
	:initial-state          :open
	:show-footer            t
	:resizable              t
	:icon-file              ""
	:icon-label             ""
	:icon-mask-file         ""
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   main_upper_pane
	:owner                  window1
	:help                   "This is \"addu\", the GUI-based add user program.  Press help over any item to see how to use it."
	:x                      0
	:y                      0
	:width                  371
	:height                 45
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   props_item
	:owner                  main_upper_pane
	:help                   "Press this button to make configuration changes for the program, using its property sheet."
	:x                      16
	:y                      16
	:width                  89
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Properties..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 props_item)
		:when                   (Notify )
		:to                     (props_win)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :control-area
	:name                   main_lower_pane
	:owner                  window1
	:help                   "This is \"addu\", the GUI-based add user program.  Press help over any item to see how to use it."
	:x                      0
	:y                      45
	:width                  371
	:height                 229
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   fname_item
	:owner                  main_lower_pane
	:help                   "Enter the full name of the user you wish to add, in the format \"Firstname Lastname\" -- when you press Return, this will be used to construct a default login ID for this person, based on the rule you've specified on the properties sheet."
	:x                      69
	:y                      16
	:width                  240
	:height                 15
	:value-x                149
	:value-y                16
	:value-length           20
	:stored-length          20
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Full Name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         fname_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 fname_item)
		:when                   (Notify )
		:to                     (window1 fname_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (fname_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   logid_item
	:owner                  main_lower_pane
	:help                   "Enter the login ID for this user here.  When you press Return on the Full Name blank, a default login ID is automatically placed here for you."
	:x                      43
	:y                      41
	:width                  170
	:height                 15
	:value-x                149
	:value-y                41
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "UNIX Login ID:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         logid_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 logid_item)
		:when                   (Notify )
		:to                     (window1 logid_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (logid_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   uid_field_item
	:owner                  main_lower_pane
	:help                   "Enter the user ID for this user.  The program automatically selects the lowest free UID in the range specified on the properties sheet, but you may override it if you wish.
"
	:x                      87
	:y                      66
	:width                  102
	:height                 15
	:value-x                149
	:value-y                66
	:value-length           5
	:stored-length          5
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "User ID:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   gid_item
	:owner                  main_lower_pane
	:help                   "Pressing this button brings up a window with a list of the groups defined on this system."
	:x                      64
	:y                      88
	:width                  81
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Group ID..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 gid_item)
		:when                   (Notify )
		:to                     (gid_win)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :text-field
	:name                   gid_field_item
	:owner                  main_lower_pane
	:help                   "Enter the number of the group you would like this user to belong to.  Press the Group ID... button to choose from the existing list of groups."
	:x                      149
	:y                      91
	:width                  40
	:height                 15
	:value-x                149
	:value-y                91
	:value-length           5
	:stored-length          32
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   home_dir_item
	:owner                  main_lower_pane
	:help                   "Enter the home directory for this user.  When you press Return on the UNIX Login ID blank, a default home directory is automatically constructed, based on the home directory location you specified on the properties sheet."
	:x                      32
	:y                      116
	:width                  277
	:height                 15
	:value-x                149
	:value-y                116
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Home Directory:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   shell_menu_button
	:owner                  main_lower_pane
	:help                   "Enter the login shell you wish this user to have.  You may select possible shells from the abbreviated menu button, which lists the shells found in /etc/shells, if that file exists."
	:x                      61
	:y                      144
	:width                  108
	:height                 15
	:constant-width         nil
	:button-type            :abbreviated
	:foreground-color       ""
	:label                  "Login Shell:"
	:label-type             :string
	:initial-state          :active
	:menu                   shell_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   shell_field_item
	:owner                  main_lower_pane
	:help                   "Enter the login shell you wish this user to have.  You may select possible shells from the abbreviated menu button, which lists the shells found in /etc/shells, if that file exists."
	:x                      181
	:y                      144
	:width                  64
	:height                 15
	:value-x                181
	:value-y                144
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          "/bin/csh"
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   apply_item
	:owner                  main_lower_pane
	:help                   "Press the Apply button to create the user whose
attributes you have filled in above.
"
	:x                      133
	:y                      184
	:width                  53
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         apply_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 apply_item)
		:when                   (Notify )
		:to                     (window1 apply_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (apply_notify)
		)
	)
)
(
	:type                   :button
	:name                   reset_item
	:owner                  main_lower_pane
	:help                   "Press this button to return the values on this window to their original state."
	:x                      221
	:y                      184
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         reset_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 reset_item)
		:when                   (Notify )
		:to                     (window1 reset_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (reset_notify)
		)
	)
)
(
	:type                   :popup-window
	:name                   gid_win
	:owner                  window1
	:width                  249
	:height                 206
	:background-color       ""
	:foreground-color       ""
	:label                  "Group ID Chooser"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   gid_pane
	:owner                  gid_win
	:help                   "This is the Group ID Chooser window.  Selecting a group name from the list places its number in the Group blank on the main window."
	:x                      0
	:y                      0
	:width                  249
	:height                 206
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :scrolling-list
	:name                   gid_list
	:owner                  gid_pane
	:help                   ""
	:x                      24
	:y                      16
	:width                  200
	:height                 164
	:value-x                24
	:value-y                16
	:rows                   8
	:foreground-color       ""
	:label                  ""
	:title                  ""
	:label-type             :string
	:layout-type            :horizontal
	:read-only              nil
	:multiple-selections    nil
	:selection-required     nil
	:initial-state          :active
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:notify-handler         gid_list_notify
	:event-handler          nil
	:initial-list-values    ()
	:initial-list-glyphs    ()
	:initial-selections     ()
	:user-data              ()
	:actions                (
		(
		:from                   (gid_win gid_list)
		:when                   (Notify )
		:to                     (gid_win gid_list)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gid_list_notify)
		)
	)
)
(
	:type                   :popup-window
	:name                   props_win
	:owner                  window1
	:width                  393
	:height                 189
	:background-color       ""
	:foreground-color       ""
	:label                  "Add User: Properties"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 nil
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   props_pane
	:owner                  props_win
	:help                   "This is the property sheet for addu.  Make configuration changes for the program by changing the appropriate items, then pressing \"Apply.\"
"
	:x                      0
	:y                      0
	:width                  393
	:height                 189
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   logid_rule_item
	:owner                  props_pane
	:help                   "Select the rule to use to construct a login ID based on the full name you enter.
"
	:x                      58
	:y                      16
	:width                  289
	:height                 23
	:value-x                198
	:value-y                16
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :stack
	:selection-required     t
	:label                  "Default Login ID Is:"
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Jane Doe -> jdoe" "Jane Doe -> jane" "Jane Doe -> janed" "Jane Doe -> doej" "Jane Doe -> doe" "Jane Q. Doe -> jqd" )
	:choice-label-types     (:string :string :string :string :string :string )
	:choice-colors          ("" "" "" "" "" "" )
	:choice-defaults        (nil nil nil nil nil nil )
	:initial-selections     (nil nil nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   range_from_item
	:owner                  props_pane
	:help                   "Enter the lowest possible UID that you wish this program to create."
	:x                      38
	:y                      47
	:width                  235
	:height                 15
	:value-x                198
	:value-y                47
	:value-length           5
	:stored-length          5
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Lowest Allowable UID:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              65533
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   range_to_item
	:owner                  props_pane
	:help                   "Enter the highest possible UID that you wish this program to create."
	:x                      33
	:y                      70
	:width                  240
	:height                 15
	:value-x                198
	:value-y                70
	:value-length           5
	:stored-length          5
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  "Highest Allowable UID:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              65533
	:min-value              0
	:initial-value          0
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   props_home_item
	:owner                  props_pane
	:help                   "Enter the name of the directory that home directories should be placed in.  For example, if you wish user fred to have his home directory in /home/bedrock/fred, enter \"/home/bedrock\" here."
	:x                      24
	:y                      93
	:width                  334
	:height                 15
	:value-x                198
	:value-y                93
	:value-length           20
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Put Home Directories In:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   default_gid_item
	:owner                  props_pane
	:help                   "Fill in the number of the group you would like most users at your site to belong to.  It will be presented as the default group for each new user you create."
	:x                      72
	:y                      116
	:width                  190
	:height                 15
	:value-x                198
	:value-y                116
	:value-length           8
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Default Group ID:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   props_apply_item
	:owner                  props_pane
	:help                   "Press the Apply button to save the configuration choices that you have made on this window."
	:x                      120
	:y                      160
	:width                  53
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         props_apply_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (props_win props_apply_item)
		:when                   (Notify )
		:to                     (props_win props_apply_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (props_apply_notify)
		)
	)
)
(
	:type                   :button
	:name                   props_reset_item
	:owner                  props_pane
	:help                   "Press this button to return the values on the property sheet to what they were the last time you applied them."
	:x                      192
	:y                      160
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         props_reset_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (props_win props_reset_item)
		:when                   (Notify )
		:to                     (props_win props_reset_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (props_reset_notify)
		)
	)
)
)
