;GIL-3
(
(
	:type                   :popup-window
	:name                   am_frame
	:owner                  nil
	:width                  361
	:height                 413
	:background-color       ""
	:foreground-color       ""
	:label                  "Message Board: Modify Entry"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            nil
	:resizable              nil
	:pinned                 nil
	:done-handler           amwin_done
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (am_frame)
		:when                   (Done )
		:to                     (am_frame)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (amwin_done)
		)
	)
)
(
	:type                   :control-area
	:name                   am_panel
	:owner                  am_frame
	:help                   "Add Entry / Modify Entry

This is the Add/Modify window, which appears when you are adding or modifying an entry for the Message Board."
	:x                      0
	:y                      0
	:width                  361
	:height                 413
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   names_item
	:owner                  am_panel
	:help                   "Names...

Press this button to get a list of all the login IDs known to be on the system.  This is a quick way to add several entries to the board in a row.

Hint: if you put the pushpin in on the Add window, you can use the Names list to full advantage."
	:x                      176
	:y                      8
	:width                  68
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Names..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         am_names_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (am_frame names_item)
		:when                   (Notify )
		:to                     (am_frame names_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (am_names_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   logid_item
	:owner                  am_panel
	:help                   "Login ID:

Enter the UNIX login ID of the person you want to add to the board (or modify, if this window is currently being used to modify entries).

To see a list of all the known login IDs on the system, press the \"Names...\" window button.  (The Names button is only available while you are adding a new entry.)"
	:x                      23
	:y                      12
	:width                  132
	:height                 15
	:value-x                91
	:value-y                12
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Login ID:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         am_logid_item_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (am_frame logid_item)
		:when                   (Notify )
		:to                     (am_frame logid_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (am_logid_item_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   fname_item
	:owner                  am_panel
	:help                   "Full Name:

Fill in the entry's full name.  A default entry is provided when you enter the Login ID above, but you may edit it if you wish, especially if extraneous info appears in the default."
	:x                      11
	:y                      36
	:width                  240
	:height                 15
	:value-x                91
	:value-y                36
	:value-length           20
	:stored-length          20
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Full Name:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         am_fname_item_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (am_frame fname_item)
		:when                   (Notify )
		:to                     (am_frame fname_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (am_fname_item_notify)
		)
	)
)
(
	:type                   :setting
	:name                   status_item
	:owner                  am_panel
	:help                   "In/Out/???

This is the entry's In/Out status.  You may pick In, Out, or \"???\" if you don't know where the person is."
	:x                      83
	:y                      64
	:width                  101
	:height                 23
	:value-x                83
	:value-y                64
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         am_inout_notify
	:event-handler          nil
	:choices                ("Out" "In" "???" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (am_frame status_item)
		:when                   (Notify )
		:to                     (am_frame status_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (am_inout_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   until_item
	:owner                  am_panel
	:help                   "Until:

Use this field to show when the person marked as \"Out\" will be back -- any string is acceptable, such as \"4 PM\", \"tomorrow\", \"Monday\", or anything else you choose.

This field is always cleared when a person is marked as \"In.\""
	:x                      48
	:y                      96
	:width                  165
	:height                 15
	:value-x                93
	:value-y                96
	:value-length           15
	:stored-length          15
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Until:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   comment_item
	:owner                  am_panel
	:help                   "Comment:

An entry's comment is displayed on the main list.  It is usually used to show where a person is when he or she is \"Out\".

This entry is automatically cleared when a person is marked as \"In\", unless the \"Preserve comment\" box below is checked."
	:x                      17
	:y                      120
	:width                  316
	:height                 15
	:value-x                93
	:value-y                120
	:value-length           30
	:stored-length          40
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Comment:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   cat_item
	:owner                  am_panel
	:help                   "Category:

Categories allow you to use the \"View\" button on the main window to show only entries belonging to a particular category.

The default category for a new entry is the UNIX group name associated with the given login ID, but you may change it if that is not appropriate."
	:x                      22
	:y                      144
	:width                  151
	:height                 15
	:value-x                93
	:value-y                144
	:value-length           10
	:stored-length          10
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Category:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   sortby_item
	:owner                  am_panel
	:help                   "Sort String:

Entries appear on the board sorted alphabetically by this field.  The default value for this field is the entry's \"last name\" -- it is assumed that the last word in the Full Name field is the person's last name.  You may, of course, change this field to anything you wish."
	:x                      10
	:y                      168
	:width                  243
	:height                 15
	:value-x                93
	:value-y                168
	:value-length           20
	:stored-length          20
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Sort String:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   ext_item
	:owner                  am_panel
	:help                   "Extension:

Enter the telephone extension for this person, as you wish it to appear on the board."
	:x                      15
	:y                      192
	:width                  142
	:height                 15
	:value-x                93
	:value-y                192
	:value-length           8
	:stored-length          8
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Extension:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   pagertype_item
	:owner                  am_panel
	:help                   "Alpha/Numeric/Sky

This item is active only when a pager # has been filled in.  Select the appropriate pager type that this person carries."
	:x                      170
	:y                      216
	:width                  155
	:height                 23
	:value-x                170
	:value-y                216
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Alpha" "Numeric" "Sky" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   pagernum_item
	:owner                  am_panel
	:help                   "Pager #:

If this person carries a pager, fill in its phone number (or access number if it's a Sky pager).

After you've filled in the phone number, select the appropriate pager type to the right."
	:x                      32
	:y                      220
	:width                  125
	:height                 15
	:value-x                93
	:value-y                220
	:value-length           8
	:stored-length          13
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Pager #:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         am_pagernum_item_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (am_frame pagernum_item)
		:when                   (Notify )
		:to                     (am_frame pagernum_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (am_pagernum_item_notify)
		)
	)
)
(
	:type                   :setting
	:name                   plan_item
	:owner                  am_panel
	:help                   "Modify .plan file
(This feature is not currently implemented.)

If this box is checked, this program will automatically add a line to this person's \".plan\" file and keep it up to date, like so:

   Out till 4:00 PM (msgboard 12/18/90 3:00 PM)
"
	:x                      83
	:y                      248
	:width                  134
	:height                 23
	:value-x                83
	:value-y                248
	:rows                   0
	:columns                1
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Modify .plan file" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   preserve_item
	:owner                  am_panel
	:help                   "Leave comment intact when \"IN\"

If this box is *not* checked, this entry's Comment field will be cleared whenever the person  is marked as \"In.\"  Check this box if you want to keep the comment field; for example, if this person is usually offsite and you want to keep his or her phone number listed in the comment field."
	:x                      83
	:y                      272
	:width                  232
	:height                 23
	:value-x                83
	:value-y                272
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Leave comment intact when \"In\"" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   via_mail_item
	:owner                  am_panel
	:help                   "Receive pmsgs via e-mail

When this box is checked, phone messages sent to you through msgboard will be delivered as electronic mail messages.  If you also want to read your phone messages via the msgboard \"Scan Pmsgs\" window, you should also check the corresponding box below."
	:x                      84
	:y                      296
	:width                  175
	:height                 23
	:value-x                84
	:value-y                296
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Receive pmsgs via e-mail" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   via_mb_item
	:owner                  am_panel
	:help                   "Receive pmsgs via msgboard

When this box is checked, you will be able to use the \"Scan Messages\" window to read phone messages sent to you through msgboard.  You may also specify that messages be sent to you via electronic mail, by checking the box above."
	:x                      84
	:y                      320
	:width                  193
	:height                 23
	:value-x                84
	:value-y                320
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Receive pmsgs via msgboard" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   admin_item
	:owner                  am_panel
	:help                   "Allow admin functions

If this box is checked, you have access to the \"admin\" functions of the Message Board.  These functions include the ability to modify board entries , and the ability to scan phone messages."
	:x                      84
	:y                      344
	:width                  172
	:height                 23
	:value-x                84
	:value-y                344
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :check
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("Allow admin functions" )
	:choice-label-types     (:string )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   apply_item
	:owner                  am_panel
	:help                   "Apply

Press the Apply button when you have filled in all the above items appropriately for the entry you are adding or modifying."
	:x                      112
	:y                      380
	:width                  53
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         am_apply_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (am_frame apply_item)
		:when                   (Notify )
		:to                     (am_frame apply_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (am_apply_notify)
		)
	)
)
(
	:type                   :button
	:name                   reset_item
	:owner                  am_panel
	:help                   "Reset

Press this button to reset all fields in this window to their appropriate default values.  If the pushpin is not in, the window will be dismissed.

The default values for Add mode are all blank.  The default values for Modify mode are the current values for the selected entry."
	:x                      192
	:y                      380
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         am_reset_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (am_frame reset_item)
		:when                   (Notify )
		:to                     (am_frame reset_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (am_reset_notify)
		)
	)
)
(
	:type                   :popup-window
	:name                   names_frame
	:owner                  nil
	:width                  201
	:height                 223
	:background-color       ""
	:foreground-color       ""
	:label                  "Name Chooser"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            nil
	:resizable              t
	:pinned                 t
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   names_panel
	:owner                  names_frame
	:help                   "Name Chooser

Use this list to select a person to add to the board.  When you select a login ID here, the login ID, as well as a default full name and category, will be filled in on the Add entry window.

Hint: you can use this list to browse through names by watching what appears in the Add window as you pick different login IDs, since an entry won't actually be added to the board until you press the Add window's \"Apply\" button.

Try double-clicking on the title bar to make the list expand to the full height of the screen.  Also try pressing single characters while pointing into this window, to quickly \"thumb\" through all the IDs beginning with that character."
	:x                      0
	:y                      0
	:width                  201
	:height                 223
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :scrolling-list
	:name                   list_item
	:owner                  names_panel
	:help                   ""
	:x                      40
	:y                      8
	:width                  100
	:height                 200
	:value-x                40
	:value-y                8
	:rows                   10
	:foreground-color       ""
	:label                  ""
	:title                  ""
	:label-type             :string
	:layout-type            :horizontal
	:read-only              t
	:multiple-selections    nil
	:selection-required     nil
	:initial-state          :active
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:notify-handler         amwin_list_notify
	:event-handler          nil
	:initial-list-values    ()
	:initial-list-glyphs    ()
	:initial-selections     ()
	:user-data              ()
	:actions                (
		(
		:from                   (names_frame list_item)
		:when                   (Notify )
		:to                     (names_frame list_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (amwin_list_notify)
		)
	)
)
)
