;GIL-3
(
(
	:type                   :menu
	:name                   edit_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "Edit"
	:menu-item-labels       ("Modify Entry..." "Add Entry..." "Delete Entry" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-states       (:active :active :active )
	:menu-item-defaults     (t nil nil )
	:initial-selections     (nil nil nil )
	:menu-item-handlers     (main_modify_handler main_add_handler main_delete_handler )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               t
	:user-data              ()
	:actions                (
		(
		:from                   (edit_menu "Modify Entry...")
		:when                   (Notify )
		:to                     (edit_menu "Modify Entry...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (main_modify_handler)
		)
		(
		:from                   (edit_menu "Add Entry...")
		:when                   (Notify )
		:to                     (edit_menu "Add Entry...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (main_add_handler)
		)
		(
		:from                   (edit_menu "Delete Entry")
		:when                   (Notify )
		:to                     (edit_menu "Delete Entry")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (main_delete_handler)
		)
	)
)
(
	:type                   :menu
	:name                   status_menu
	:help                   ""
	:columns                1
	:menu-type              :exclusive
	:menu-handler           nil
	:menu-title             "Status"
	:menu-item-labels       ("(Next)" "All" "\"Out\" Only" "\"In\" Only" "\"???\" Only" )
	:menu-item-label-types  (:string :string :string :string :string )
	:menu-item-states       (:active :active :active :active :active )
	:menu-item-defaults     (nil nil nil nil nil )
	:initial-selections     (nil nil nil nil nil )
	:menu-item-handlers     (nil nil nil nil nil )
	:menu-item-menus        (nil nil nil nil nil )
	:menu-item-colors       ("" "" "" "" "" )
	:pinnable               t
	:user-data              ()
	:actions                ()
)
(
	:type                   :menu
	:name                   contents_menu
	:help                   ""
	:columns                1
	:menu-type              :exclusive
	:menu-handler           nil
	:menu-title             "Contents"
	:menu-item-labels       ("Untll/Comment" "Modification Times" )
	:menu-item-label-types  (:string :string )
	:menu-item-states       (:active :active )
	:menu-item-defaults     (nil nil )
	:initial-selections     (nil nil )
	:menu-item-handlers     (disp_text_notify disp_times_notify )
	:menu-item-menus        (nil nil )
	:menu-item-colors       ("" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (contents_menu "Untll/Comment")
		:when                   (Notify )
		:to                     (contents_menu "Untll/Comment")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (disp_text_notify)
		)
		(
		:from                   (contents_menu "Modification Times")
		:when                   (Notify )
		:to                     (contents_menu "Modification Times")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (disp_times_notify)
		)
	)
)
(
	:type                   :menu
	:name                   watch_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "Watch For"
	:menu-item-labels       ("Add to Watch List" "Remove from Watch List" )
	:menu-item-label-types  (:string :string )
	:menu-item-states       (:active :active )
	:menu-item-defaults     (nil nil )
	:initial-selections     (nil nil )
	:menu-item-handlers     (watch_add_handler watch_remove_handler )
	:menu-item-menus        (nil nil )
	:menu-item-colors       ("" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (watch_menu "Add to Watch List")
		:when                   (Notify )
		:to                     (watch_menu "Add to Watch List")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (watch_add_handler)
		)
		(
		:from                   (watch_menu "Remove from Watch List")
		:when                   (Notify )
		:to                     (watch_menu "Remove from Watch List")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (watch_remove_handler)
		)
	)
)
(
	:type                   :menu
	:name                   view_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           view_menu_handler
	:menu-title             "View"
	:menu-item-labels       ("Category" "Status" "Contents" "Watch For" "Page Log..." "About Message Board..." )
	:menu-item-label-types  (:string :string :string :string :string :string )
	:menu-item-states       (:active :active :active :active :active :active )
	:menu-item-defaults     (t nil nil nil nil nil )
	:initial-selections     (nil nil nil nil nil nil )
	:menu-item-handlers     (nil nil nil nil page_log_handler about_handler )
	:menu-item-menus        (nil status_menu contents_menu watch_menu nil nil )
	:menu-item-colors       ("" "" "" "" "" "" )
	:pinnable               t
	:user-data              ()
	:actions                (
		(
		:from                   (view_menu)
		:when                   (Notify )
		:to                     (view_menu)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (view_menu_handler)
		)
		(
		:from                   (view_menu "Page Log...")
		:when                   (Notify )
		:to                     (view_menu "Page Log...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (page_log_handler)
		)
		(
		:from                   (view_menu "About Message Board...")
		:when                   (Notify )
		:to                     (view_menu "About Message Board...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (about_handler)
		)
	)
)
(
	:type                   :base-window
	:name                   frame
	:owner                  nil
	:width                  596
	:height                 389
	:background-color       ""
	:foreground-color       ""
	:label                  "Message Board"
	:label-type             :string
	:initial-state          :open
	:show-footer            t
	:resizable              t
	:icon-file              "msgboard.icon"
	:icon-label             ""
	:icon-mask-file         "msgboard-mask.icon"
	:event-handler          main_frame_event
	:user-data              ()
	:actions                (
		(
		:from                   (frame)
		:when                   (AnyEvent )
		:to                     (frame)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (main_frame_event)
		)
	)
)
(
	:type                   :control-area
	:name                   control_panel
	:owner                  frame
	:help                   "Message Board Main Window

This is the main control panel for \"msgboard\", a computerized Message board.  You can use this program to see where people are; it can also be used to send a phone message to anyone on the board, and to scan phone messages that have been sent.

Point to individual controls and press \"Help\" to see more information."
	:x                      0
	:y                      0
	:width                  596
	:height                 36
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   view_item
	:owner                  control_panel
	:help                   "View

The View button has six functions.  Its default function is to change the display category.

By default, all entries on the board appear in the scrolling list.  Clicking on the View button changes the visible category; only entries belonging to the selected category appear in the scrolling list.  Successive clicks on the View button cycle through all the categories.  The selected category's name appears in the lower-right corner of the main window.

You may use the MENU mouse button to bring up the View menu, which has six options: Category, Status, Contents, Watch For, Page Log, and About Message Board.

The \"Category\" selection has a pull-right menu which lets you select a display category, or All.  If a category other than \"All\" is selected, only the people belonging to that category are displayed.

Similarly, the \"Status\" selection allows you to show only people who are In, people who are Out, or people whose current status is unknown, displayed as \"???\".  The default selection All shows all people.

\"Contents\" lets you choose what information is shown on the scrolling list: either each person's return time and message, or the time the entry was modified.

\"Watch For\" tells msgboard to notify you if the selected person comes in.  When he or she does, an alert window will be pinned up on your screen.  Use the pullright menu to delete someone you've previously added from the watch list.

\"Page Log\" brings up a log of pager messages sent recently.  If you are not in admin mode, the log only shows messages to you or from you.

The \"About Message Board\" pop-up window describes the history of the message board and gives you a way to provide feedback to the author for future revisions of the program.
"
	:x                      28
	:y                      8
	:width                  62
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "View"
	:label-type             :string
	:initial-state          :active
	:menu                   view_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   edit_item
	:owner                  control_panel
	:help                   "Edit

Controls editing functions for entries on the board. The options are:

Modify Entry: Change information and settings for the selected person.  If no person is selected, this item will be disabled.

Add Entry: Add a new person to the board.

Delete Entry: delete the selected person from the board.  If no person is selected, this item will be disabled."
	:x                      96
	:y                      8
	:width                  56
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Edit"
	:label-type             :string
	:initial-state          :active
	:menu                   edit_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   props_item
	:owner                  control_panel
	:help                   "Props...

Click on this button to bring up the Properties window for the message board, which allows you to examine or modify various properties of the program."
	:x                      160
	:y                      8
	:width                  61
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Props..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         main_props_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame props_item)
		:when                   (Notify )
		:to                     (frame props_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (main_props_notify)
		)
	)
)
(
	:type                   :button
	:name                   sendmsg_item
	:owner                  control_panel
	:help                   "Send Pmsg...

Brings up the \"Send Phone Message\" window, allowing you to send a phone message to the selected person.

You may click on this button while the send window is already up, to select a new person to send a phone message to.

This item is dimmed if you have not selected a person on the list."
	:x                      252
	:y                      8
	:width                  94
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Send Pmsg..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         main_sendmsg_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame sendmsg_item)
		:when                   (Notify )
		:to                     (frame sendmsg_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (main_sendmsg_notify)
		)
	)
)
(
	:type                   :button
	:name                   scanmsg_item
	:owner                  control_panel
	:help                   "Scan Pmsg...

Clicking on this button brings up the \"Scan Phone Message\" window, allowing you to check what phone messages are waiting for you (or the selected person, if you are in admin mode).

You may click on this button while the scan window is already up; if you are in admin mode, you can do this to change which person's messages you are scanning.

This item is dimmed if you are in admin mode and have not selected a person on the list."
	:x                      352
	:y                      8
	:width                  98
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Scan Pmsgs..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         main_scanmsg_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame scanmsg_item)
		:when                   (Notify )
		:to                     (frame scanmsg_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (main_scanmsg_notify)
		)
	)
)
(
	:type                   :button
	:name                   page_item
	:owner                  control_panel
	:help                   "Page

Press this button to bring up the Page window, allowing you to send a message to the selected person's pager.

This item is dimmed if you have not selected a person on the list."
	:x                      456
	:y                      8
	:width                  56
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Page..."
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         main_page_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame page_item)
		:when                   (Notify )
		:to                     (frame page_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (main_page_notify)
		)
	)
)
(
	:type                   :button
	:name                   outs_item
	:owner                  control_panel
	:help                   "Outs

Use this button to mark yourself (or the selected person, if you are in admin mode) as \"Out\", at the same time filling in the Until and Comment fields.

Use the MENU mouse button to bring up the Outs menu, which has several preset \"Out\" settings.

This item is dimmed if you are in admin mode and have not selected a person on the list.

You may add items of your own to this menu by using the \"Outs\" category of the Properties window.  Click SELECT on the \"Props...\" button to access this window."
	:x                      528
	:y                      8
	:width                  47
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Outs"
	:label-type             :string
	:initial-state          :active
	:menu                   outs_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   display_panel
	:owner                  frame
	:help                   "Message Board Main Window

This is the main control panel for \"msgboard\", a computerized message board.  You can use this program to see where people are; it can also be used to send a phone message to anyone on the board, and to scan phone messages that have been sent.

Point to individual controls and press \"Help\" to see more information."
	:x                      0
	:y                      35
	:width                  596
	:height                 354
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            t
	:menu                   nil
	:event-handler          main_display_panel_event
	:user-data              ()
	:actions                (
		(
		:from                   (frame display_panel)
		:when                   (AnyEvent )
		:to                     (frame display_panel)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (main_display_panel_event)
		)
	)
)
(
	:type                   :message
	:name                   motd_item
	:owner                  display_panel
	:help                   "This is the Message Board \"Message of the Day\", which can show a one-line message that should be of interest to everyone on the board."
	:x                      268
	:y                      8
	:width                  60
	:height                 13
	:foreground-color       ""
	:label                  "Message"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :scrolling-list
	:name                   list_item
	:owner                  display_panel
	:help                   "In/Out List

Click on the \"In-Out\" side of a line to toggle a person's entry from In to Out, or vice versa.  (If the symbol reads \"???\" and you click on it, it will change to \"In\".)

Click on the name side of a line to select that line.  When a line is selected, functions such as \"Send Pmsg\" and \"Page\" are enabled and the full comment for the selected person is displayed below.

In addition to using the scrollbar, you can move to and select a specific person's line by typing the first letter of their last name.

The MENU mouse button brings up a menu of functions associated with the line you have selected from the list."
	:x                      8
	:y                      32
	:width                  552
	:height                 272
	:value-x                8
	:value-y                32
	:rows                   14
	:foreground-color       ""
	:label                  ""
	:title                  ""
	:label-type             :string
	:layout-type            :horizontal
	:read-only              t
	:multiple-selections    nil
	:selection-required     nil
	:initial-state          :active
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:notify-handler         main_list_notify
	:event-handler          nil
	:initial-list-values    ()
	:initial-list-glyphs    ()
	:initial-selections     ()
	:user-data              ()
	:actions                (
		(
		:from                   (frame list_item)
		:when                   (Notify )
		:to                     (frame list_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (main_list_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   comment_item
	:owner                  display_panel
	:help                   "Comment:

Since the entire comment for a person may not fit on the main display list, the full comment line for the currently selected user will display here."
	:x                      40
	:y                      320
	:width                  396
	:height                 15
	:value-x                116
	:value-y                320
	:value-length           40
	:stored-length          40
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Comment:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              t
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   newmsg_item
	:owner                  display_panel
	:help                   "\"New Messages\" Indicator

If this indicator is visible, it means you have new phone messages.  Click on the \"Scan Pmsgs...\" button to see them."
	:x                      8
	:y                      328
	:width                  16
	:height                 16
	:foreground-color       ""
	:label                  "newmsg.icon"
	:label-type             :glyph
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
)
