;GIL-3
(
(
	:type                   :popup-window
	:name                   frame
	:owner                  nil
	:width                  361
	:height                 143
	:background-color       ""
	:foreground-color       ""
	:label                  "Message Board: Mark Someone Out"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            nil
	:resizable              nil
	:pinned                 nil
	:done-handler           om_done
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame)
		:when                   (Done )
		:to                     (frame)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (om_done)
		)
	)
)
(
	:type                   :control-area
	:name                   panel
	:owner                  frame
	:help                   "Mark a Person as Out

This window appears when you are marking someone (or yourself) as \"Out,\" either by clicking on the In/Out glyph on the main list, or by selecting an item from the \"Outs\" menu that has \"Pop up window\" selected for it see below).

You may choose not to have this window appear when you click on the In/Out glyph by deselecting the appropriate item on the General category of the Properties sheet; you may select for each item on the Outs menu whether or not this window appears, by using the Outs category of the Properties sheet.
 "
	:x                      0
	:y                      0
	:width                  361
	:height                 143
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          om_panel_event
	:user-data              ()
	:actions                (
		(
		:from                   (frame panel)
		:when                   (AnyEvent )
		:to                     (frame panel)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (om_panel_event)
		)
	)
)
(
	:type                   :setting
	:name                   status_item
	:owner                  panel
	:help                   "In/Out/???

This is the entry's In/Out status.  You may pick In, Out, or \"???\" if you don't know where the person is."
	:x                      82
	:y                      16
	:width                  101
	:height                 23
	:value-x                82
	:value-y                16
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         out_inout_notify
	:event-handler          nil
	:choices                ("Out" "In" "???" )
	:choice-label-types     (:string :string :string )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (frame status_item)
		:when                   (Notify )
		:to                     (frame status_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (out_inout_notify)
		)
	)
)
(
	:type                   :text-field
	:name                   until_item
	:owner                  panel
	:help                   "Until:

Use this field to show when the person marked as \"Out\" will be back -- any string is acceptable, such as \"4 PM\", \"tomorrow\", \"Monday\", or anything else you choose.

This field is always cleared when a person is marked as \"In.\""
	:x                      47
	:y                      48
	:width                  165
	:height                 15
	:value-x                92
	:value-y                48
	:value-length           15
	:stored-length          15
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Until:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-field
	:name                   comment_item
	:owner                  panel
	:help                   "Comment:

An entry's comment is displayed on the main list.  It is usually used to show where a person is when he or she is \"Out\".

This entry is automatically cleared when a person is marked as \"In\", unless \"Preserve comment\" has been specified for this person."
	:x                      16
	:y                      72
	:width                  316
	:height                 15
	:value-x                92
	:value-y                72
	:value-length           30
	:stored-length          40
	:rows                   3
	:foreground-color       ""
	:text-type              :alphanumeric
	:label                  "Comment:"
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:initial-value          ""
	:initial-state          :active
	:read-only              nil
	:notify-handler         out_comment_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame comment_item)
		:when                   (Notify )
		:to                     (frame comment_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (out_comment_notify)
		)
	)
)
(
	:type                   :button
	:name                   apply_item
	:owner                  panel
	:help                   "Apply

Press the Apply button when you have filled in all the above items appropriately."
	:x                      104
	:y                      104
	:width                  53
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Apply"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         out_apply_reset_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame apply_item)
		:when                   (Notify )
		:to                     (frame apply_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (out_apply_reset_notify)
		)
	)
)
(
	:type                   :button
	:name                   reset_item
	:owner                  panel
	:help                   "Reset

Press this button to reset all fields in this window to their appropriate default values.  If the pushpin is not in, the window will be dismissed.

The default values are the current values for the selected entry."
	:x                      184
	:y                      104
	:width                  51
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Reset"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         out_apply_reset_notify
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (frame reset_item)
		:when                   (Notify )
		:to                     (frame reset_item)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (out_apply_reset_notify)
		)
	)
)
)
